class CreateSyncRepositoryBranches < ActiveRecord::Migration[5.2]
  def change
    create_table :sync_repository_branches do |t|
      t.references :sync_repository
      t.string :gitlink_branch_name, comment: 'gitlink分支'
      t.string :external_branch_name, comment: '外部仓库分支'
      t.datetime :sync_time
      t.integer :sync_status, default: 0
      t.integer :reposync_branch_id

      t.timestamps
    end
  end
end
